
From: "Randy.Dunlap" <rddunlap@osdl.org>

Use correct data type for module_param:
drivers/media/radio/radio-typhoon.c:317: warning: return from 
incompatible pointer type

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/radio/radio-typhoon.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/radio/radio-typhoon.c~radio-typhoon-use-correct-module_param-data-type drivers/media/radio/radio-typhoon.c
--- 25/drivers/media/radio/radio-typhoon.c~radio-typhoon-use-correct-module_param-data-type	2005-01-16 00:49:09.167100824 -0800
+++ 25-akpm/drivers/media/radio/radio-typhoon.c	2005-01-16 00:49:09.171100216 -0800
@@ -314,7 +314,7 @@ module_param(radio_nr, int, 0);
 
 #ifdef MODULE
 static unsigned long mutefreq = 0;
-module_param(mutefreq, int, 0);
+module_param(mutefreq, ulong, 0);
 MODULE_PARM_DESC(mutefreq, "Frequency used when muting the card (in kHz)");
 #endif
 
_
